CUPTI (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 2.1. CUPTI Version

Function and macro to determine the CUPTI version.

### Defines

#define CUPTI_API_VERSION 6
  The API version for this implementation of CUPTI.

### Functions

CUptiResult cuptiGetVersion ( uint32_t* version )
  Get the CUPTI API version.

### Defines

#define CUPTI_API_VERSION 6

  The API version for this implementation of CUPTI. This define along with cuptiGetVersion can be used to dynamically detect if the version of CUPTI compiled against matches the version of the loaded CUPTI library.

  v1 : CUDAToolsSDK 4.0 v2 : CUDAToolsSDK 4.1 v3 : CUDA Toolkit 5.0 v4 : CUDA Toolkit 5.5 v5 : CUDA Toolkit 6.0 v6 : CUDA Toolkit 6.5

### Functions

CUptiResult cuptiGetVersion ( uint32_t* version )
  Get the CUPTI API version.

  ###### Parameters

  `version`
    Returns the version

  ###### Returns

  - CUPTI_SUCCESS

    on success

  - CUPTI_ERROR_INVALID_PARAMETER

    if `version` is NULL

  ###### Description

  Return the API version in `*version`.

  See also:

  CUPTI_API_VERSION